# 3D printer and Scanner

## 3D printers

### Introduction

3D printers are not new to me, actually I had a previous experience with the 3d printers especially with the FDM ultimaker 2, but only in using cura and printing, I have not done any maintenance or worked with the advanced settings. This course helped me a lot with diagnosing and solving problems, improving the quality, learning the different types of the filaments used in the ultimaker.

### installing CURA

CURA is the software that converts the 3d model from **.stl** to  **gcode**. It has many options and settings which help the user control the 3d printer quality, speed, time, support, orientation of the model and many other.

![](images/cura.png)


I have downloaded this software using the command `sudo apt install cura`, but an old version was installed so I have removed it using the command `sudo apt remove cura` and downloaded the newest version from [ultimaker](https://ultimaker.com/en/products/ultimaker-cura-software) website. The file was not working because it is not an executable file. I made it executable from it is properties.

![](images/cura-per.png)

### preparing the 3d printer

The printer was really dirty and full of filament remains so I have started cleaning it using alcohol for the glass and wet towel for the body.

![](images/13.jpg)       

![](images/14.jpg)

After cleaning the printer, the instructor started to explain how to check the belt and the rods of the motors. The rods should be fixed, but in this case one of them was moving easily and the belt was not tensioned.

![](images/3.jpg)

Last thing to do was to adjust fans angle, both fans are used to cool the filament down as it flows out of the nozzle at 210 degrees celsius.

![](images/8.jpg)

### Leveling the plate

Leveling the plate is very important step to do. This step ensures that the glass surface is even and close enough to the nozzle. I have started the leveling process by using the **BUILD-PLATE option** from the **MAINTENANCE** option.

![](images/9.jpg)


### installing the filament

Before installing the filament, very important thing to do is to make the tip of the filament like a cone shape as shown in the following images. Since the filament was already installed, I have removed it by the **MAINTENANCE -> ADVANCED -> REMOVE MATERIAL** option.


### problems and issues

The following image shows my first product from the machine. It has poor quality, to solve it I have reduced the speed of the nozzle to 30%.

![](images/10.jpg)

We had a discussion about the common issues with the 3d printers, for example the humidity can increase the diameter of the filament, if the diameter exceeds 2.95mm then the affected part should be cut and never insert it into the nozzle.

 Another problem is the force on the filament, the motor in the back side has a spring which can be adjusted, if the force is bigger than the required force the affected part should be cut also. The following image shows how the rear motor works.

 ![](images/6.jpg)

 [This link](http://support.3dverkstan.se/article/23-a-visual-ultimaker-troubleshooting-guide#stringing) shows number of problems and how to solve it.

#### Temperature sensor

One day I left the 3d printer printing, next day when I came, I have noticed that the 3d printer have not completed the model and the following error appeared on the screen

![](images/11.jpg)

I have opened the suggested [link](https://ultimaker.com/en/resources/19485-error-stopped-temp-sensor-bed), but I have solved the problem using the suggested procedure instead I have removed the plate and checked the wiring, one of the wires was loose so the solution was just tighten the wire.

![](images/12.jpg)


### Printing useful stuff

 ## 3D scanner
